#!/bin/bash

pins="7 8 25 24 23"
#extra pins to use: 18 15 14

for x in $pins
do
	gpio -g mode $x out
	gpio -g write $x 0
done


ipaddress=`ifconfig eth0 | grep 'inet ' | awk '{print $2}' | cut -f4 -d'.'`

binary=`echo "ibase=10;obase=2;$ipaddress" | bc`

#limit to 5 until have extra pins
paddedBinary=`printf %05d $binary`


bit=1
for x in $pins
do
	out=`echo $paddedBinary | cut -b$bit`
	gpio -g write $x $out
	bit=$((bit+1))
done